Enhanox's Escargot Autopatcher needs a lot of work


#1

The program is incompatible with various systems. Not the program itself (just install .NET Framework 2.0 and you are good to go) but it doesn’t patch the program. When I click the “Patch” button, it doesn’t do anything. Tried on Windows 98 and XP and the program doesn’t patch on these. The versions I tried to patch were 7.0 (I know it doesn’t work on those systems, but well) and 7.5 respectively (it was already patched, I just did it to test if it worked)


#2

Well, it’s just a quickie application, the preferred way is the pre-patched.


#3

I know, but version 7.0 prepatched cannot be installed on Windows 98 because of a Windows Installer error. I used the unpatched version and i just hoped that the Autopatcher worked, but nope. Everytime I clicked on the patch button it did nothing. And I had to patch it myself. Result? Log in error. Tried going to the forums and asking what to do, and i noticed that I could use just up to version 4.6 for reasons unknown. Or maybe it was a patching error by my part?


#4

The issue with post 4.x on Windows 98 is the authentication, as it requires TLS, modern ciphers and up-to-date certificates which Windows 98 does not provide. As far as I know, no one has gotten around that just yet.

So the patcher isn’t going to help here. You may want to review this thread:

Of important note, enhanox put a lot of effort in that thread on this specific issue too.


#5

Ok, thanks.